import { Observable, Unsubscribable } from 'rxjs';
import { ICommandEntry, IExecuteCommandParams, ICommandRegistry } from '@workbench-stack/extension-api';
import { ApolloClient } from 'apollo-client';
export declare function registerCommandEpic(action$: any, state$: any, { apolloClient }: {
    apolloClient: ApolloClient<any>;
}): any;
export declare function executeCommand(commands: ICommandEntry[], params: IExecuteCommandParams): Promise<any>;
export declare class CommandRegistry implements ICommandRegistry {
    private entries;
    registerCommand(entry: any): Unsubscribable;
    executeCommand(params: any): Promise<any>;
    readonly commands: Observable<any[]>;
    get commandsSnapshot(): any[];
}
